

# ListGroups
<a name="API_ListGroups"></a>

Provides a list of groups that are mapped to users.

## Request Syntax
<a name="API_ListGroups_RequestSyntax"></a>

```
GET /applications/applicationId/indices/indexId/groups?dataSourceId=dataSourceId&maxResults=maxResults&nextToken=nextToken&updatedEarlierThan=updatedEarlierThan HTTP/1.1
```

## URI Request Parameters
<a name="API_ListGroups_RequestParameters"></a>

The request uses the following URI parameters.

 ** [applicationId](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-applicationId"></a>
The identifier of the application for getting a list of groups mapped to users.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9-]{35}`   
Required: Yes

 ** [dataSourceId](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-dataSourceId"></a>
The identifier of the data source for getting a list of groups mapped to users.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9-]{35}` 

 ** [indexId](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-indexId"></a>
The identifier of the index for getting a list of groups mapped to users.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9-]{35}`   
Required: Yes

 ** [maxResults](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-maxResults"></a>
The maximum number of returned groups that are mapped to users.  
Valid Range: Minimum value of 1. Maximum value of 10.

 ** [nextToken](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-nextToken"></a>
If the previous response was incomplete (because there is more data to retrieve), Amazon Q Business returns a pagination token in the response. You can use this pagination token to retrieve the next set of groups that are mapped to users.  
Length Constraints: Minimum length of 1. Maximum length of 800.

 ** [updatedEarlierThan](#API_ListGroups_RequestSyntax) **   <a name="qbusiness-ListGroups-request-uri-updatedEarlierThan"></a>
The timestamp identifier used for the latest `PUT` or `DELETE` action for mapping users to their groups.  
Required: Yes

## Request Body
<a name="API_ListGroups_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListGroups_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "items": [ 
      { 
         "groupName": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListGroups_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [items](#API_ListGroups_ResponseSyntax) **   <a name="qbusiness-ListGroups-response-items"></a>
Summary information for list of groups that are mapped to users.  
Type: Array of [GroupSummary](API_GroupSummary.md) objects

 ** [nextToken](#API_ListGroups_ResponseSyntax) **   <a name="qbusiness-ListGroups-response-nextToken"></a>
If the response is truncated, Amazon Q Business returns this token that you can use in the subsequent request to retrieve the next set of groups that are mapped to users.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 800.

## Errors
<a name="API_ListGroups_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 You don't have access to perform this action. Make sure you have the required permission policies and user accounts and try again.  
HTTP Status Code: 403

 ** ConflictException **   
You are trying to perform an action that conflicts with the current status of your resource. Fix any inconsistencies with your resources and try again.    
 ** message **   
The message describing a `ConflictException`.  
 ** resourceId **   
The identifier of the resource affected.  
 ** resourceType **   
The type of the resource affected.
HTTP Status Code: 409

 ** InternalServerException **   
An issue occurred with the internal server used for your Amazon Q Business service. Wait some minutes and try again, or contact [Support](http://aws.amazon.com/contact-us/) for help.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The application or plugin resource you want to use doesn’t exist. Make sure you have provided the correct resource and try again.    
 ** message **   
The message describing a `ResourceNotFoundException`.  
 ** resourceId **   
The identifier of the resource affected.  
 ** resourceType **   
The type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling. Reduce the number of requests and try again.  
HTTP Status Code: 429

 ** ValidationException **   
The input doesn't meet the constraints set by the Amazon Q Business service. Provide the correct input and try again.    
 ** fields **   
The input field(s) that failed validation.  
 ** message **   
The message describing the `ValidationException`.  
 ** reason **   
The reason for the `ValidationException`.
HTTP Status Code: 400

## See Also
<a name="API_ListGroups_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/qbusiness-2023-11-27/ListGroups) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/qbusiness-2023-11-27/ListGroups) 